Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.j3d.math.cover
Class Matrix3D

    java.lang.Object
      net.sf.j3d.math.cover.Matrix3D

    public class Matrix3D

extends Object

Constructor Summary
`Matrix3D(int x, int y, int z)` Contructs a 3D matrix with the specified dimensions.
`Matrix3D(int x, int y, int z, boolean integer)` Contructs a 3D matrix with the specified dimensions.

Method Summary
`double` | `get(int x, int y, int z)`
`int` | `getInt(int x, int y, int z)`
`void` | `set(int x, int y, int z, double value)`
`void` | `setInt(int x, int y, int z, int value)`
`String` | `toString()`
`String` | `toString(boolean noNeg)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Matrix3D

    public Matrix3D(int x,
                    int y,
                    int z)

  Contructs a 3D matrix with the specified dimensions. Each entry will be stored as a double.

  Parameters:
    `x` - Width.
    `y` - Height.
    `z` - Depth.

### Matrix3D

    public Matrix3D(int x,
                    int y,
                    int z,
                    boolean integer)

  Contructs a 3D matrix with the specified dimensions. Each entry will be stored as an int if the integer flag is true. Otherwise each entry will be stored as a double.

  Parameters:
    `x` - Width.
    `y` - Height.
    `z` - Depth.
    `integer` - True if entries are integers, false otherwise.

Method Detail

### set

    public void set(int x,
                    int y,
                    int z,
                    double value)

### setInt

    public void setInt(int x,
                       int y,
                       int z,
                       int value)

### get

    public double get(int x,
                      int y,
                      int z)

### getInt

    public int getInt(int x,
                      int y,
                      int z)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toString

    public String toString(boolean noNeg)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD